Parameters
Date: 2019-10-22

org.jmol.jvxl.readers

## Class Parameters

- java.lang.Object
- - org.jmol.jvxl.readers.Parameters

-     public class Parameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `addHydrogens`
    `boolean` | `allowVolumeRender`
    `(package private) static float` | `ANGSTROMS_PER_BOHR`
    `(package private) float[]` | `aniosU`
    `(package private) float[]` | `anisoB`
    `(package private) float[]` | `anisotropy`
    `(package private) float` | `assocCutoff`
    `(package private) int` | `atomIndex`
    `RadiusData` | `atomRadiusData`
    `(package private) boolean` | `blockCubeData`
    `javajs.util.P3[]` | `boundingBox`
    `javajs.util.BS[]` | `bsExcluded`
    `javajs.util.BS` | `bsIgnore`
    `javajs.util.BS` | `bsSelected`
    `javajs.util.BS` | `bsSolvent`
    `(package private) java.lang.String` | `calculationType`
    `(package private) float` | `cavityRadius`
    `(package private) javajs.util.P3` | `center`
    `(package private) boolean` | `colorByPhase`
    `(package private) boolean` | `colorBySets`
    `(package private) boolean` | `colorBySign`
    `boolean` | `colorDensity`
    `ColorEncoder` | `colorEncoder`
    `int` | `colorNeg`
    `(package private) int` | `colorNegLCAO`
    `(package private) int` | `colorPhase`
    `int` | `colorPos`
    `(package private) int` | `colorPosLCAO`
    `int` | `colorRgb`
    `boolean` | `colorSchemeTranslucent`
    `ContactPair` | `contactPair`
    `short[]` | `contourColixes`
    `(package private) boolean` | `contourFromZero`
    `(package private) javajs.util.P3` | `contourIncrements`
    `float[]` | `contoursDiscrete`
    `int` | `contourType`
    `float` | `cutoff`
    `(package private) boolean` | `cutoffAutomatic`
    `int` | `dataType`
    `(package private) boolean` | `dataXYReversed`
    `(package private) static int` | `defaultColorFractionBase`
    `(package private) static int` | `defaultColorFractionRange`
    `(package private) static int` | `defaultColorNegative`
    `(package private) static int` | `defaultColorNegativeLCAO`
    `(package private) static int` | `defaultColorPositive`
    `(package private) static int` | `defaultColorPositiveLCAO`
    `(package private) static int` | `defaultContourCount`
    `(package private) static float` | `defaultCutoff`
    `(package private) static int` | `defaultEdgeFractionBase`
    `(package private) static int` | `defaultEdgeFractionRange`
    `(package private) static float` | `defaultLobeCutoff`
    `(package private) static float` | `defaultMappedDataMax`
    `(package private) static float` | `defaultMappedDataMin`
    `(package private) static float` | `defaultMepCutoff`
    `(package private) static float` | `defaultMepMax`
    `(package private) static float` | `defaultMepMin`
    `(package private) static float` | `defaultOrbitalCutoff`
    `(package private) static float` | `defaultOrbitalCutoffOld`
    `(package private) static float` | `defaultQMElectronDensityCutoff`
    `static float` | `defaultQMOrbitalCutoff`
    `(package private) static float` | `defaultSolventRadius`
    `(package private) float` | `distance`
    `boolean` | `doFullMolecular`
    `(package private) int` | `downsampleFactor`
    `(package private) javajs.util.M3` | `eccentricityMatrix`
    `(package private) javajs.util.M3` | `eccentricityMatrixInverse`
    `(package private) float` | `eccentricityRatio`
    `(package private) float` | `eccentricityScale`
    `(package private) float` | `envelopeRadius`
    `float` | `extendGrid`
    `(package private) int` | `fileIndex`
    `java.lang.String` | `fileName`
    `java.lang.Object[]` | `filesData`
    `boolean` | `fullyLit`
    `java.lang.Object` | `func`
    `javajs.util.Lst<java.lang.Object>` | `functionInfo`
    `(package private) static int` | `HAS_MAXGRID`
    `boolean` | `iAddGridPoints`
    `(package private) boolean` | `insideOut`
    `javajs.util.BS[]` | `intersection`
    `(package private) static int` | `IS_POINTMAPPABLE`
    `(package private) static int` | `IS_SILENT`
    `(package private) static int` | `IS_SLABBABLE`
    `static int` | `IS_SOLVENTTYPE`
    `(package private) boolean` | `isAngstroms`
    `(package private) boolean` | `isAnisotropic`
    `boolean` | `isBicolorMap`
    `(package private) boolean` | `isCavity`
    `(package private) boolean` | `isColorReversed`
    `boolean` | `isContoured`
    `boolean` | `isCutoffAbsolute`
    `(package private) boolean` | `isEccentric`
    `boolean` | `isMapped`
    `boolean` | `isModelConnected`
    `boolean` | `isPeriodic`
    `boolean` | `isPositiveOnly`
    `boolean` | `isSilent`
    `boolean` | `isSquared`
    `boolean` | `isSquaredLinear`
    `boolean` | `isXLowToHigh`
    `(package private) java.lang.String` | `lcaoType`
    `(package private) boolean` | `logCompression`
    `(package private) boolean` | `logCube`
    `(package private) boolean` | `logMessages`
    `javajs.util.P3` | `mapLattice`
    `(package private) float` | `mappedDataMax`
    `(package private) float` | `mappedDataMin`
    `(package private) int` | `maxSet`
    `int` | `mep_calcType`
    `(package private) int` | `mep_gridMax`
    `(package private) float` | `mep_marginAngstroms`
    `static int` | `MEP_MAX_GRID`
    `(package private) float` | `mep_ptsPerAngstrom`
    `(package private) int` | `minSet`
    `static int` | `MO_MAX_GRID`
    `java.util.Map<java.lang.String,java.lang.Object>` | `moData`
    `int` | `modelIndex`
    `javajs.util.M4` | `modelInvRotation`
    `(package private) static int` | `nContourMax`
    `(package private) int` | `nContours`
    `(package private) static int` | `NO_ANISOTROPY`
    `javajs.util.P3` | `origin`
    `(package private) float[]` | `parameters`
    `(package private) int` | `plane_gridMax`
    `(package private) float` | `plane_ptsPerAngstrom`
    `(package private) java.lang.Boolean` | `pocket`
    `(package private) javajs.util.P3` | `point`
    `javajs.util.P3` | `points`
    `float` | `pointSize`
    `float` | `propertyDistanceMax`
    `(package private) boolean` | `propertySmoothing`
    `(package private) int` | `propertySmoothingPower`
    `(package private) int` | `psi_l`
    `(package private) int` | `psi_m`
    `int` | `psi_monteCarloCount`
    `(package private) int` | `psi_n`
    `(package private) float` | `psi_ptsPerAngstrom`
    `(package private) float` | `psi_Znuc`
    `(package private) int` | `qm_gridMax`
    `(package private) float` | `qm_marginAngstroms`
    `(package private) float[]` | `qm_moLinearCombination`
    `(package private) int` | `qm_moNumber`
    `(package private) int` | `qm_nAtoms`
    `(package private) float` | `qm_ptsPerAngstrom`
    `(package private) static int` | `QM_TYPE_GAUSSIAN`
    `(package private) static int` | `QM_TYPE_NCI_PRO`
    `(package private) static int` | `QM_TYPE_NCI_SCF`
    `(package private) static int` | `QM_TYPE_SLATER`
    `(package private) static int` | `QM_TYPE_UNKNOWN`
    `(package private) static int` | `QM_TYPE_VOLUME_DATA`
    `(package private) int` | `qmOrbitalCount`
    `(package private) int` | `qmOrbitalType`
    `int` | `randomSeed`
    `(package private) boolean` | `rangeAll`
    `boolean` | `rangeDefined`
    `(package private) boolean` | `rangeSelected`
    `(package private) boolean` | `readAllData`
    `float` | `resolution`
    `(package private) float` | `scale`
    `float` | `scale3d`
    `java.lang.String` | `script`
    `boolean` | `showTiming`
    `float` | `sigma`
    `javajs.util.Lst<java.lang.Object[]>` | `slabInfo`
    `(package private) float` | `slabPlaneOffset`
    `(package private) int` | `solvent_gridMax`
    `(package private) float` | `solvent_ptsPerAngstrom`
    `(package private) float` | `solventExtendedAtomRadius`
    `(package private) float` | `solventRadius`
    `int` | `state`
    `static int` | `STATE_DATA_COLORED`
    `static int` | `STATE_DATA_READ`
    `static int` | `STATE_INITIALIZED`
    `static int` | `STATE_UNINITIALIZED`
    `javajs.util.P3` | `steps`
    `(package private) static int` | `SURFACE_ATOMICORBITAL`
    `(package private) static int` | `SURFACE_ELLIPSOID2`
    `(package private) static int` | `SURFACE_ELLIPSOID3`
    `(package private) static int` | `SURFACE_FUNCTIONXY`
    `(package private) static int` | `SURFACE_FUNCTIONXYZ`
    `(package private) static int` | `SURFACE_GEODESIC`
    `(package private) static int` | `SURFACE_INTERSECT_ATOM`
    `(package private) static int` | `SURFACE_INTERSECT_FILE`
    `(package private) static int` | `SURFACE_LCAOCARTOON`
    `(package private) static int` | `SURFACE_LOBE`
    `static int` | `SURFACE_LONEPAIR`
    `(package private) static int` | `SURFACE_MEP`
    `(package private) static int` | `SURFACE_MLP`
    `(package private) static int` | `SURFACE_MOLECULAR`
    `(package private) static int` | `SURFACE_MOLECULARORBITAL`
    `(package private) static int` | `SURFACE_NCI`
    `(package private) static int` | `SURFACE_NOMAP`
    `(package private) static int` | `SURFACE_NONE`
    `(package private) static int` | `SURFACE_PROPERTY`
    `static int` | `SURFACE_RADICAL`
    `(package private) static int` | `SURFACE_SASURFACE`
    `(package private) static int` | `SURFACE_SOLVENT`
    `(package private) static int` | `SURFACE_SPHERE`
    `javajs.util.BS` | `surfaceAtoms`
    `(package private) int` | `surfaceType`
    `int` | `testFlags`
    `javajs.util.P4` | `thePlane`
    `(package private) float[]` | `theProperty`
    `(package private) int` | `thisContour`
    `java.lang.String[]` | `title`
    `boolean` | `usePropertyForColorRange`
    `(package private) float` | `valueMappedToBlue`
    `(package private) float` | `valueMappedToRed`
    `int[]` | `vertexSource`
    `VolumeData` | `volumeData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSlabInfo(java.lang.Object[] slabObject)`
    `private java.lang.String` | `getScriptParams()`
    `(package private) void` | `initialize()`
    `boolean` | `isFullyLit()`
    `boolean` | `isInsideOut()`
    `void` | `resetForMapping(boolean haveSurface)` reset some parameters at the "MAP" keyword or initially
    `(package private) void` | `setAnisotropy(javajs.util.P3 pt)`
    `(package private) boolean` | `setAtomicOrbital(float[] nlmZprs)`
    `(package private) void` | `setEccentricity(javajs.util.P4 info)`
    `void` | `setEllipsoidAF(float[] bList)`
    `(package private) void` | `setEllipsoidP4(javajs.util.P4 v)`
    `(package private) void` | `setFunctionXY(javajs.util.Lst<java.lang.Object> value)`
    `(package private) void` | `setFunctionXYZ(javajs.util.Lst<java.lang.Object> value)`
    `(package private) void` | `setLcao(java.lang.String type, int colorPtr)`
    `(package private) void` | `setLobe(javajs.util.P4 v)`
    `(package private) void` | `setLp(javajs.util.P4 v)`
    `(package private) void` | `setMapRanges(SurfaceReader surfaceReader, boolean haveData)`
    `(package private) void` | `setMep(float[] charges, boolean isMLP)`
    `(package private) void` | `setMO(int iMo, float[] linearCombination)`
    `(package private) void` | `setNci(boolean isPromolecular)`
    `(package private) void` | `setPlane(javajs.util.P4 plane)`
    `(package private) void` | `setRadical(javajs.util.P4 v)`
    `(package private) void` | `setSolvent(java.lang.String propertyName, float radius)`
    `(package private) void` | `setSphere(float radius, boolean isGeodesic)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATE_UNINITIALIZED

          public static final int STATE_UNINITIALIZED

      See Also:
        Constant Field Values

    - #### STATE_INITIALIZED

          public static final int STATE_INITIALIZED

      See Also:
        Constant Field Values

    - #### STATE_DATA_READ

          public static final int STATE_DATA_READ

      See Also:
        Constant Field Values

    - #### STATE_DATA_COLORED

          public static final int STATE_DATA_COLORED

      See Also:
        Constant Field Values

    - #### state

          public int state

    - #### testFlags

          public int testFlags

    - #### logMessages

          boolean logMessages

    - #### logCompression

          boolean logCompression

    - #### logCube

          boolean logCube

    - #### isSilent

          public boolean isSilent

    - #### assocCutoff

          float assocCutoff

    - #### NO_ANISOTROPY

          static final int NO_ANISOTROPY

      See Also:
        Constant Field Values

    - #### IS_SILENT

          static final int IS_SILENT

      See Also:
        Constant Field Values

    - #### IS_SOLVENTTYPE

          public static final int IS_SOLVENTTYPE

      See Also:
        Constant Field Values

    - #### HAS_MAXGRID

          static final int HAS_MAXGRID

      See Also:
        Constant Field Values

    - #### IS_POINTMAPPABLE

          static final int IS_POINTMAPPABLE

      See Also:
        Constant Field Values

    - #### IS_SLABBABLE

          static final int IS_SLABBABLE

      See Also:
        Constant Field Values

    - #### dataType

          public int dataType

    - #### surfaceType

          int surfaceType

    - #### SURFACE_NONE

          static final int SURFACE_NONE

      See Also:
        Constant Field Values

    - #### SURFACE_SPHERE

          static final int SURFACE_SPHERE

      See Also:
        Constant Field Values

    - #### SURFACE_ELLIPSOID2

          static final int SURFACE_ELLIPSOID2

      See Also:
        Constant Field Values

    - #### SURFACE_ELLIPSOID3

          static final int SURFACE_ELLIPSOID3

      See Also:
        Constant Field Values

    - #### SURFACE_LOBE

          static final int SURFACE_LOBE

      See Also:
        Constant Field Values

    - #### SURFACE_LCAOCARTOON

          static final int SURFACE_LCAOCARTOON

      See Also:
        Constant Field Values

    - #### SURFACE_LONEPAIR

          public static final int SURFACE_LONEPAIR

      See Also:
        Constant Field Values

    - #### SURFACE_RADICAL

          public static final int SURFACE_RADICAL

      See Also:
        Constant Field Values

    - #### SURFACE_FUNCTIONXY

          static final int SURFACE_FUNCTIONXY

      See Also:
        Constant Field Values

    - #### SURFACE_FUNCTIONXYZ

          static final int SURFACE_FUNCTIONXYZ

      See Also:
        Constant Field Values

    - #### SURFACE_GEODESIC

          static final int SURFACE_GEODESIC

      See Also:
        Constant Field Values

    - #### SURFACE_SOLVENT

          static final int SURFACE_SOLVENT

      See Also:
        Constant Field Values

    - #### SURFACE_SASURFACE

          static final int SURFACE_SASURFACE

      See Also:
        Constant Field Values

    - #### SURFACE_MOLECULARORBITAL

          static final int SURFACE_MOLECULARORBITAL

      See Also:
        Constant Field Values

    - #### SURFACE_ATOMICORBITAL

          static final int SURFACE_ATOMICORBITAL

      See Also:
        Constant Field Values

    - #### SURFACE_MEP

          static final int SURFACE_MEP

      See Also:
        Constant Field Values

    - #### SURFACE_MLP

          static final int SURFACE_MLP

      See Also:
        Constant Field Values

    - #### SURFACE_MOLECULAR

          static final int SURFACE_MOLECULAR

      See Also:
        Constant Field Values

    - #### SURFACE_NCI

          static final int SURFACE_NCI

      See Also:
        Constant Field Values

    - #### SURFACE_INTERSECT_ATOM

          static final int SURFACE_INTERSECT_ATOM

      See Also:
        Constant Field Values

    - #### SURFACE_INTERSECT_FILE

          static final int SURFACE_INTERSECT_FILE

      See Also:
        Constant Field Values

    - #### SURFACE_NOMAP

          static final int SURFACE_NOMAP

      See Also:
        Constant Field Values

    - #### SURFACE_PROPERTY

          static final int SURFACE_PROPERTY

      See Also:
        Constant Field Values

    - #### calculationType

          java.lang.String calculationType

    - #### atomRadiusData

          public RadiusData atomRadiusData

    - #### addHydrogens

          boolean addHydrogens

    - #### solventRadius

          float solventRadius

    - #### solventExtendedAtomRadius

          float solventExtendedAtomRadius

    - #### propertySmoothing

          boolean propertySmoothing

    - #### propertySmoothingPower

          int propertySmoothingPower

    - #### envelopeRadius

          float envelopeRadius

    - #### cavityRadius

          float cavityRadius

    - #### isCavity

          boolean isCavity

    - #### pocket

          java.lang.Boolean pocket

    - #### minSet

          int minSet

    - #### slabInfo

          public javajs.util.Lst<java.lang.Object[]> slabInfo

    - #### slabPlaneOffset

          float slabPlaneOffset

    - #### theProperty

          float[] theProperty

    - #### solvent_ptsPerAngstrom

          float solvent_ptsPerAngstrom

    - #### solvent_gridMax

          int solvent_gridMax

    - #### plane_ptsPerAngstrom

          float plane_ptsPerAngstrom

    - #### plane_gridMax

          int plane_gridMax

    - #### ANGSTROMS_PER_BOHR

          static final float ANGSTROMS_PER_BOHR

      See Also:
        Constant Field Values

    - #### defaultEdgeFractionBase

          static final int defaultEdgeFractionBase

      See Also:
        Constant Field Values

    - #### defaultEdgeFractionRange

          static final int defaultEdgeFractionRange

      See Also:
        Constant Field Values

    - #### defaultColorFractionBase

          static final int defaultColorFractionBase

      See Also:
        Constant Field Values

    - #### defaultColorFractionRange

          static final int defaultColorFractionRange

      See Also:
        Constant Field Values

    - #### defaultMappedDataMin

          static final float defaultMappedDataMin

      See Also:
        Constant Field Values

    - #### defaultMappedDataMax

          static final float defaultMappedDataMax

      See Also:
        Constant Field Values

    - #### defaultCutoff

          static final float defaultCutoff

      See Also:
        Constant Field Values

    - #### defaultOrbitalCutoff

          static final float defaultOrbitalCutoff

      See Also:
        Constant Field Values

    - #### defaultLobeCutoff

          static final float defaultLobeCutoff

      See Also:
        Constant Field Values

    - #### defaultOrbitalCutoffOld

          static final float defaultOrbitalCutoffOld

      See Also:
        Constant Field Values

    - #### defaultQMOrbitalCutoff

          public static final float defaultQMOrbitalCutoff

      See Also:
        Constant Field Values

    - #### defaultQMElectronDensityCutoff

          static final float defaultQMElectronDensityCutoff

      See Also:
        Constant Field Values

    - #### defaultContourCount

          static final int defaultContourCount

      See Also:
        Constant Field Values

    - #### nContourMax

          static final int nContourMax

      See Also:
        Constant Field Values

    - #### defaultColorNegative

          static final int defaultColorNegative

      See Also:
        Constant Field Values

    - #### defaultColorPositive

          static final int defaultColorPositive

      See Also:
        Constant Field Values

    - #### defaultColorNegativeLCAO

          static final int defaultColorNegativeLCAO

      See Also:
        Constant Field Values

    - #### defaultColorPositiveLCAO

          static final int defaultColorPositiveLCAO

      See Also:
        Constant Field Values

    - #### defaultSolventRadius

          static final float defaultSolventRadius

      See Also:
        Constant Field Values

    - #### defaultMepCutoff

          static final float defaultMepCutoff

      See Also:
        Constant Field Values

    - #### defaultMepMin

          static final float defaultMepMin

      See Also:
        Constant Field Values

    - #### defaultMepMax

          static final float defaultMepMax

      See Also:
        Constant Field Values

    - #### colorBySign

          boolean colorBySign

    - #### colorByPhase

          boolean colorByPhase

    - #### colorBySets

          boolean colorBySets

    - #### colorRgb

          public int colorRgb

    - #### colorNeg

          public int colorNeg

    - #### colorPos

          public int colorPos

    - #### colorPosLCAO

          int colorPosLCAO

    - #### colorNegLCAO

          int colorNegLCAO

    - #### colorPhase

          int colorPhase

    - #### colorDensity

          public boolean colorDensity

    - #### iAddGridPoints

          public boolean iAddGridPoints

    - #### atomIndex

          int atomIndex

    - #### isAngstroms

          boolean isAngstroms

    - #### scale

          float scale

    - #### scale3d

          public float scale3d

    - #### anisotropy

          float[] anisotropy

    - #### isAnisotropic

          boolean isAnisotropic

    - #### eccentricityMatrix

          javajs.util.M3 eccentricityMatrix

    - #### eccentricityMatrixInverse

          javajs.util.M3 eccentricityMatrixInverse

    - #### isEccentric

          boolean isEccentric

    - #### eccentricityScale

          float eccentricityScale

    - #### eccentricityRatio

          float eccentricityRatio

    - #### aniosU

          float[] aniosU

    - #### anisoB

          float[] anisoB

    - #### lcaoType

          java.lang.String lcaoType

    - #### functionInfo

          public javajs.util.Lst<java.lang.Object> functionInfo

    - #### psi_n

          int psi_n

    - #### psi_l

          int psi_l

    - #### psi_m

          int psi_m

    - #### psi_Znuc

          float psi_Znuc

    - #### psi_ptsPerAngstrom

          float psi_ptsPerAngstrom

    - #### psi_monteCarloCount

          public int psi_monteCarloCount

    - #### MEP_MAX_GRID

          public static final int MEP_MAX_GRID

      See Also:
        Constant Field Values

    - #### mep_gridMax

          int mep_gridMax

    - #### mep_ptsPerAngstrom

          float mep_ptsPerAngstrom

    - #### mep_marginAngstroms

          float mep_marginAngstroms

    - #### mep_calcType

          public int mep_calcType

    - #### qmOrbitalType

          int qmOrbitalType

    - #### qmOrbitalCount

          int qmOrbitalCount

    - #### QM_TYPE_UNKNOWN

          static final int QM_TYPE_UNKNOWN

      See Also:
        Constant Field Values

    - #### QM_TYPE_GAUSSIAN

          static final int QM_TYPE_GAUSSIAN

      See Also:
        Constant Field Values

    - #### QM_TYPE_SLATER

          static final int QM_TYPE_SLATER

      See Also:
        Constant Field Values

    - #### QM_TYPE_NCI_PRO

          static final int QM_TYPE_NCI_PRO

      See Also:
        Constant Field Values

    - #### QM_TYPE_NCI_SCF

          static final int QM_TYPE_NCI_SCF

      See Also:
        Constant Field Values

    - #### QM_TYPE_VOLUME_DATA

          static final int QM_TYPE_VOLUME_DATA

      See Also:
        Constant Field Values

    - #### moData

          public java.util.Map<java.lang.String,java.lang.Object> moData

    - #### MO_MAX_GRID

          public static final int MO_MAX_GRID

      See Also:
        Constant Field Values

    - #### qm_gridMax

          int qm_gridMax

    - #### qm_ptsPerAngstrom

          float qm_ptsPerAngstrom

    - #### qm_marginAngstroms

          float qm_marginAngstroms

    - #### qm_nAtoms

          int qm_nAtoms

    - #### qm_moNumber

          int qm_moNumber

    - #### qm_moLinearCombination

          float[] qm_moLinearCombination

    - #### center

          javajs.util.P3 center

    - #### point

          javajs.util.P3 point

    - #### distance

          float distance

    - #### allowVolumeRender

          public boolean allowVolumeRender

    - #### script

          public java.lang.String script

    - #### bsSelected

          public javajs.util.BS bsSelected

    - #### bsIgnore

          public javajs.util.BS bsIgnore

    - #### bsSolvent

          public javajs.util.BS bsSolvent

    - #### func

          public java.lang.Object func

    - #### title

          public java.lang.String[] title

    - #### blockCubeData

          boolean blockCubeData

    - #### readAllData

          boolean readAllData

    - #### fileIndex

          int fileIndex

    - #### fileName

          public java.lang.String fileName

    - #### modelIndex

          public int modelIndex

    - #### modelInvRotation

          public javajs.util.M4 modelInvRotation

    - #### isXLowToHigh

          public boolean isXLowToHigh

    - #### insideOut

          boolean insideOut

    - #### dataXYReversed

          boolean dataXYReversed

    - #### cutoff

          public float cutoff

    - #### sigma

          public float sigma

    - #### cutoffAutomatic

          boolean cutoffAutomatic

    - #### isCutoffAbsolute

          public boolean isCutoffAbsolute

    - #### isPositiveOnly

          public boolean isPositiveOnly

    - #### rangeAll

          boolean rangeAll

    - #### rangeSelected

          boolean rangeSelected

    - #### rangeDefined

          public boolean rangeDefined

    - #### valueMappedToRed

          float valueMappedToRed

    - #### valueMappedToBlue

          float valueMappedToBlue

    - #### mappedDataMin

          float mappedDataMin

    - #### mappedDataMax

          float mappedDataMax

    - #### isColorReversed

          boolean isColorReversed

    - #### isBicolorMap

          public boolean isBicolorMap

    - #### isSquared

          public boolean isSquared

    - #### isSquaredLinear

          public boolean isSquaredLinear

    - #### thePlane

          public javajs.util.P4 thePlane

    - #### isContoured

          public boolean isContoured

    - #### nContours

          int nContours

    - #### thisContour

          int thisContour

    - #### contourFromZero

          boolean contourFromZero

    - #### parameters

          float[] parameters

    - #### resolution

          public float resolution

    - #### downsampleFactor

          int downsampleFactor

    - #### maxSet

          int maxSet

    - #### contoursDiscrete

          public float[] contoursDiscrete

    - #### contourColixes

          public short[] contourColixes

    - #### contourIncrements

          javajs.util.P3 contourIncrements

    - #### boundingBox

          public javajs.util.P3[] boundingBox

    - #### bsExcluded

          public javajs.util.BS[] bsExcluded

    - #### contourType

          public int contourType

    - #### colorSchemeTranslucent

          public boolean colorSchemeTranslucent

    - #### colorEncoder

          public ColorEncoder colorEncoder

    - #### usePropertyForColorRange

          public boolean usePropertyForColorRange

    - #### isPeriodic

          public boolean isPeriodic

    - #### doFullMolecular

          public boolean doFullMolecular

    - #### propertyDistanceMax

          public float propertyDistanceMax

    - #### randomSeed

          public int randomSeed

    - #### fullyLit

          public boolean fullyLit

    - #### vertexSource

          public int[] vertexSource

    - #### intersection

          public javajs.util.BS[] intersection

    - #### origin

          public javajs.util.P3 origin

    - #### steps

          public javajs.util.P3 steps

    - #### points

          public javajs.util.P3 points

    - #### volumeData

          public VolumeData volumeData

    - #### contactPair

          public ContactPair contactPair

    - #### mapLattice

          public javajs.util.P3 mapLattice

    - #### extendGrid

          public float extendGrid

    - #### isMapped

          public boolean isMapped

    - #### showTiming

          public boolean showTiming

    - #### pointSize

          public float pointSize

    - #### isModelConnected

          public boolean isModelConnected

    - #### surfaceAtoms

          public javajs.util.BS surfaceAtoms

    - #### filesData

          public java.lang.Object[] filesData

  - ### Constructor Detail

    - #### Parameters

          public Parameters()

  - ### Method Detail

    - #### initialize

          void initialize()

    - #### resetForMapping

          public void resetForMapping(boolean haveSurface)

      reset some parameters at the "MAP" keyword or initially
      Parameters:
        `haveSurface` -

    - #### setAnisotropy

          void setAnisotropy(javajs.util.P3 pt)

    - #### setEccentricity

          void setEccentricity(javajs.util.P4 info)

    - #### setPlane

          void setPlane(javajs.util.P4 plane)

    - #### setSphere

          void setSphere(float radius,
                         boolean isGeodesic)

    - #### setEllipsoidP4

          void setEllipsoidP4(javajs.util.P4 v)

    - #### setEllipsoidAF

          public void setEllipsoidAF(float[] bList)

    - #### setLobe

          void setLobe(javajs.util.P4 v)

    - #### getScriptParams

          private java.lang.String getScriptParams()

    - #### setLp

          void setLp(javajs.util.P4 v)

    - #### setRadical

          void setRadical(javajs.util.P4 v)

    - #### setLcao

          void setLcao(java.lang.String type,
                       int colorPtr)

    - #### setSolvent

          void setSolvent(java.lang.String propertyName,
                          float radius)

    - #### setFunctionXY

          void setFunctionXY(javajs.util.Lst<java.lang.Object> value)

    - #### setFunctionXYZ

          void setFunctionXYZ(javajs.util.Lst<java.lang.Object> value)

    - #### setAtomicOrbital

          boolean setAtomicOrbital(float[] nlmZprs)

    - #### setMep

          void setMep(float[] charges,
                      boolean isMLP)

    - #### setNci

          void setNci(boolean isPromolecular)

    - #### setMO

          void setMO(int iMo,
                     float[] linearCombination)

    - #### setMapRanges

          void setMapRanges(SurfaceReader surfaceReader,
                            boolean haveData)

    - #### addSlabInfo

          public void addSlabInfo(java.lang.Object[] slabObject)

    - #### isInsideOut

          public boolean isInsideOut()

    - #### isFullyLit

          public boolean isFullyLit()